Loading...
Searching...
No Matches
baseplotcontext.h File Reference
`#include <QJSEngine>`
`#include <QPointF>`
`#include <QString>`
`#include "../../core/types.h"`
`#include "pappsomspp/export-import-config.h"`
`#include "pappsomspp/core/js_qml/jsclassregistrar.h"`
`#include "pappsomspp/core/processing/combiners/integrationscopebase.h"`
`#include "pappsomspp/core/processing/combiners/selectionpolygon.h"`
`#include "qcustomplot.h"`

Go to the source code of this file.

## Classes

class | pappso::BasePlotContext

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Enumerations

enum class | pappso::DragDirections { pappso::NOT_SET = 0x0000 , pappso::LEFT_TO_RIGHT = 1 << 0 , pappso::RIGHT_TO_LEFT = 1 << 1 , pappso::TOP_TO_BOTTOM = 1 << 2 , pappso::BOTTOM_TO_TOP = 1 << 3 }